The WordPress team released version 5.7.1 to the public on 4/14/21. The update mostly contains maintenance updates – many fix issues from prior versions (there were 26 fixes for problems introduced in version 5.7). But there are also two security fixes.

We’ve completed our testing of the upgrade on our own sites and our clients’ sites and have encountered no issues. Please note that WordPress 5.7.1 requires PHP version 5.6.2.0 or greater. We are working with a group that has an outdated version of PHP on their server – they’ve been unable to upgrade their site for over two years.

Remember to back up your site prior to updating WordPress (or your plug-ins) to protect yourself from the occasional problem. If you need any help with upgrading your site, setting up backups (our hosting includes nightly backups), or any other issue with your site, please contact us.

Leave a Reply

Your email address will not be published. Required fields are marked *